Bug 500066 - /dev/fd0 is missing on FC11-Preview (x86-amd64)
/dev/fd0 is missing on FC11-Preview (x86-amd64)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 11:51 EDT by juergen leising
Modified: 2013-03-05 22:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juergen leising 2009-05-10 11:51:27 EDT
Description of problem:

/dev/fd0 is not present on FC11-Preview (x86-amd64).
So, for example, grub-install --recheck fd0 fails.
And an entry in /etc/modprobe.d/whatever.conf for the floppy module 
would not help, because of this.

I would have thought, adding it manually by MAKEDEV /dev/fd0 would
generate it. While the device file /dev/fd0 itself was generated,
access to the floppy drive was still not working, yet, in that
the green LED of the floppy drive did never stop flashing, once
I had entered grub-install (fd0).

As if it were going on writing and writing and writing...

Without ever coming to an end.

Now, some data was indeed written to the floppy disk by that
grub-install fd0 command, but apparently not completely correctly.

Booting from such a floppy did not result in any output to the screen
at all. So no menu and not even one of those notorious grub errors.

Nothing whatsoever.

Removing and reloading the floppy module did not help.





Version-Release number of selected component (if applicable):

FC11-Preview on an x64-AMD64 architecture.


How reproducible:

Every time I boot FC11-Preview.



Steps to Reproduce:

1. Install FC11-Preview on a computer with floppy drive.

2. Boot it.

3. See: No /dev/fd0.

4. You could run MAKEDEV /dev/fd0, but this does not solve the problem,
as the LED of the floppy drive keeps flashing all the time.

5.
  
Actual results:

No automatically established /dev/fd0

Expected results:

/dev/fd0 being present right from the start up.


Additional info:

Well, the floppy drive can be accessed without any problems under
fedora 10.  And from the FC10 grub I can boot the FC11-Preview installation.
Comment 1 Peter Bieringer 2009-06-07 08:50:46 EDT
Same happen to me on Intel P4 system after inline upgrade to rawhide today.

The reason for #4 (floppy drive keeps flashing all the time) is probably caused by autoload of module "floppy", which tries to access the floppy disk even if none is inserted.

/var/log/messages shows in this case:

Jun  7 14:49:07 * kernel: Floppy drive(s): fd0 is 1.44M
Jun  7 14:49:07 * kernel: FDC 0 is a post-1991 82077
Jun  7 14:49:07 * kernel: end_request: I/O error, dev fd0, sector 0
Jun  7 14:49:07 * kernel: gvfsd-computer[3078]: segfault at 0 ip 0051b9b3 sp bfba0ca8 error 4 in libc-2.10.1.so[4a3000+16b000]
Jun  7 14:49:09 * kernel: end_request: I/O error, dev fd0, sector 0
Jun  7 14:49:11 * kernel: end_request: I/O error, dev fd0, sector 0
Jun  7 14:49:13 * kernel: end_request: I/O error, dev fd0, sector 0

BTW: this segfault looks not good anyway.

@Reporter: pls. change prio of this bug to high, this looks not good for being in the initial release.
Comment 2 Peter Bieringer 2009-06-07 08:54:33 EDT
BTW: hal should afaik take care about this in some way, so pls. change component to "hal"
Comment 3 Bug Zapper 2009-06-09 11:36:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Hughes 2009-10-13 05:20:49 EDT
Not a HAL bug, HAL doesn't do this kind of hardware setup. I'll try DeviceKit-disks and davidz will have a better idea than me of where to re-assign (kernel?).
Comment 5 Joachim Backes 2009-12-01 10:32:42 EST
I can report the same problem in F12: Trying to mount a floppy disk is rejected. Only after manually inserting the module "floppy", the mount is possible (Kernel: 2.6.31.6-145.fc12.i686.PAE). "MAKEDEV fd0" generates /dev/fd0, but it's forgotten after the next reboot.
Comment 6 Joachim Backes 2009-12-02 03:38:24 EST
Putting "/sbin/MAKEDEV fd0" in /etc/rc.local could be a workaround.
Comment 7 Bug Zapper 2010-04-27 10:15:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:29:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.